package com.casic.missiles.modular.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.casic.missiles.modular.system.model.AlarmJob;
import com.casic.missiles.modular.system.model.UserPush;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface MessagePusherMapper extends BaseMapper<UserPush> {

    List<UserPush> getUserPush();

    List<Long> getUserIdList(@Param("ownerDeptId") Long ownerDeptId);

    boolean getJob(@Param("id") Long id, @Param("personId") long personId, @Param("getTime") Date getTime, @Param("shouldHandleTime") Date shouldHandleTime);

    Map<String, Long> getDeptIdsByDevcode(@Param("devcode") String devcode);

    UserPush getPushByUserId(@Param("userId") Long userId,
                             @Param("type") String type);
}
